Subject: Re: bug#3860: vc-svn calls "svn resolved" without permission

From: Dmitry Gutov <[email-masked]>
Date: Fri, 22 Jan 2021 00:35:07 +0200

On 21.01.2021 21:33, Eli Zaretskii wrote:
> I think if we are going to make this optional with SVN, we should make
> it optional with the other back-ends as well.  VC always presented a
> uniform UI and user experience with all back-ends, as far as possible
> and reasonable.  In this case, I think automatically marking the
> conflicts as resolved makes a lot of sense, but I won't object to make
> it opt-out, as long as it's done for every VCS that can support it.

So someone might want to generalize the Git-specific variable: 
vc-git-resolve-conflicts.

But they'd have to consider what to do with the special value 
'unstage-maybe', which doesn't really make sense for other backends.